<template>
  <div
    v-if="authenticated"
    class="cursor-pointer"
    @click="
      game.GameId === 6493
        ? handleGameEntryOpenWindow(
            game,
            -1,
            -1,
            EnumEntranceLocation.GameLobby
          )
        : handleGameEntryOpenWindow(
            game,
            850,
            850,
            EnumEntranceLocation.GameLobby
          )
    "
  >
    <sport-vertical-game-entry
      :game="game"
      style="--v-game-entry-width: 100%"
    />
  </div>
  <nuxt-link v-else to="/login">
    <sport-vertical-game-entry
      :game="game"
      style="--v-game-entry-width: 100%"
    />
  </nuxt-link>
</template>

<script setup lang="ts">
import { IGameBsi } from "~~/models/bsiGameList";
import EnumEntranceLocation from "~~/models/enums/enumEntranceLocation";

const props = defineProps({
  authenticated: Boolean,
  game: {
    type: Object as PropType<IGameBsi>,
    required: true,
  },
  gameEntriesLength: {
    type: Number,
    default: 0,
  },
  handleGameEntryOpenWindow: Function,
});
</script>

<style scoped></style>
